# Uses of Class
javassist.bytecode.analysis.Frame

Packages that use Frame
Package
Description
javassist.bytecode.analysis
Bytecode Analysis API.

## Uses of Frame in javassist.bytecode.analysis

Methods in javassist.bytecode.analysis that return Frame
Modifier and Type
Method
Description
`Frame[]`
Analyzer.`analyze(CtClass clazz, MethodInfo method)`
Performs data-flow analysis on a method and returns an array, indexed by instruction position, containing the starting frame state of all reachable instructions.
`Frame[]`
Analyzer.`analyze(CtMethod method)`
Performs data-flow analysis on a method and returns an array, indexed by instruction position, containing the starting frame state of all reachable instructions.
`Frame`
Frame.`copy()`
Makes a shallow copy of this frame, i.e.
`Frame`
Frame.`copyStack()`
Makes a shallow copy of the stack portion of this frame.
`Frame`
ControlFlow.`frameAt(int pos)`
Returns the types of the local variables and stack frame entries available at the given position.
Methods in javassist.bytecode.analysis with parameters of type Frame
Modifier and Type
Method
Description
`void`
Executor.`execute(MethodInfo method, int pos, CodeIterator iter, Frame frame, Subroutine subroutine)`
Execute the instruction, modeling the effects on the specified frame and subroutine.
`boolean`
Frame.`merge(Frame frame)`
Merges all types on the stack and local variable table of this frame with that of the specified type.
`boolean`
Frame.`mergeStack(Frame frame)`
Merges all types on the stack of this frame instance with that of the specified frame.